package _VisualDVM.Visual.Interface;
import Common.Visual.VisualizerForm;
import _VisualDVM.TestingSystem.DVM.DVMPackage.DVMPackage;
import _VisualDVM.TestingSystem.DVM.DVMTasks.DVMRunTask;
import _VisualDVM.TestingSystem.SAPFOR.SapforPackage.SapforPackage;
public interface TestingWindow extends VisualizerForm {
    void ShowAll();
    //-
    void ShowCurrentTestsPackage();
    void DropTestRunTasksComparison();
    void DropSapforComparison();
    void ShowCurrentTestRunTask();
    void ShowNoTestRunTask();
    void CompareCurrentDVMTaskToEthalon(DVMRunTask ethalon, DVMRunTask task) throws Exception;
    //-
    void RefreshTabsNames();
    //-
    void FocusTestingTasks();
    void ShowCurrentSapforPackageVersionEtalon();
    void ShowCurrentSapforPackageVersion();
    void ShowNoSapforPackageVersionEtalon();
    void ShowNoSapforPackageVersion();
    void FocusSapforTesting();
    void ShowCurrentCompiler();
    void ShowCurrentServerSapfor();
    void ShowNoServerSapfor();
    //--
    void ShowDVMRunTask(DVMRunTask master);
    void ShowSapforPackage(SapforPackage master);
    //-
    void CompareSapforPackages(SapforPackage master, SapforPackage slave);
    //-
    void ShowDVMPackage(DVMPackage master);
    void ShowCurrentDVMTask();
    void ShowNoCurrentDVMTask();
    void FocusTestingTasksComparison();
}
